Subject: Re: bug#44333: 27.1; macOS menu bar 2-clicks

From: Alan Third <[email-masked]>
Date: Fri, 25 Dec 2020 19:20:23 +0000

On Fri, Dec 25, 2020 at 05:26:49PM +0000, Alan Third wrote:
> ns_update_menubar is a big, complicated function that I've not been
> over in depth to work out what it's doing, so I don't know if it
> would be practical to break it up like I suspect using those two
> methods would require.

I've had a look through it, and I've noticed that most of the work
appears to be building a tree of widget_value structs. A quick look at
xmenu.c and w32menu.c leaves me with the impression that they have
almost identical code for that part, but for some reason the NS port
is different (and is full of "FIXME: this is broken" comments).

So I suppose the first thing to do should be to align the NS code with
the other terminals, and see if that improves things.
-- 
Alan Third